Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Threaded View
Hadoop, mail # user - Need Help Building Hadoop from source


Copy link to this message
-
RE: Need Help Building Hadoop from source
Devaraj k 2011-03-08, 14:04
Hi Daniel,
  
       We also faced this problem when we try to build hadoop component using proxy internet connection. We were able to build by doing these changes  in ivy source i.e changing the request method from HEAD to GET.
Class Name : apache-ivy-2.2.0\src\java\org\apache\ivy\util\url\BasicURLHandler.java
Line No : 71
method : public URLInfo getURLInfo(URL url, int timeout)
Old code : httpCon.setRequestMethod("HEAD")
Modified Code : httpCon.setRequestMethod("GET")

Please check by doing these changes in the ivy source whether it works or not for your case.
Thanks & Regards
    Devaraj
________________________________________
From: Daniel Aris Pandu Prasetia [[EMAIL PROTECTED]]
Sent: Tuesday, March 08, 2011 2:36 PM
To: [EMAIL PROTECTED]
Subject: Re: Need Help Building Hadoop from source

Hi,

Does this mean that Ivy Repository has not been updated with Hadoop 0.21.0 yet?
Then, is there any alternative to build Hadoop instead of using ant/ivy?

Thank you,

Best Regards,
Daniel

________________________________
From: Daniel Aris Pandu Prasetia <[EMAIL PROTECTED]>
To: [EMAIL PROTECTED]
Sent: Tuesday, 8 March 2011 04:49:14
Subject: Re: Need Help Building Hadoop from source

Hi,

Thank you very much for the reply. I tried "ant clean clean-cache mvn-install"
in common, but clean-cache doesn't seems to be working so I tried "ant clean
mvn-install" instead. This however does not seems to solve the problem and I
produced the very same error message (unable to resolve dependencies).

Any other suggestion that I can try?

Thank you very much

Best Regards,
Daniel

--- On Tue, 8/3/11, Harsh J <[EMAIL PROTECTED]> wrote:

From: Harsh J <[EMAIL PROTECTED]>
Subject: Re: Need Help Building Hadoop from source
To: [EMAIL PROTECTED]
Date: Tuesday, 8 March, 2011, 2:00 AM

Hello,

On Tue, Mar 8, 2011 at 1:22 AM, Daniel Aris Pandu Prasetia
<[EMAIL PROTECTED]> wrote:
>
> Hi,
>
> I am sorry if this question was asked a lot of times before but I am unable to
>solve my problem. I am trying to build hadoop 0.21.0 from the source. As far as
>my understanding goes, I need to build common, hdfs, and mapred.  I seems to be
>able to build common, but not hdfs and mapred. Here is the error I receive:

Does this suggestion from the archives help?:
http://mail-archives.apache.org/mod_mbox/hadoop-mapreduce-user/201102.mbox/%[EMAIL PROTECTED]%3E
--
Harsh J
www.harshj.com